용어집 용어의 대상 로캘이 모호합니다
이 문제가 발생하면 API는 422 Unprocessable Content 응답을 반환합니다. 응답의 type 값은 https://lingo.dev/docs/api/errors/glossary-term-target-ambiguous입니다. 모든 오류에 공통으로 적용되는 구조는 오류 및 상태 코드를 참조하세요.
"<text>"을(를) 저장할 수 없습니다. 대상 로캘 "<targetLocale>"은 여러 문자 체계로 표기되어 하나의 언어를 명확히 지정하지 못합니다. "<suggestion>"을(를) 사용하세요.
필드#
본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로, 클라이언트에서 자체 문구를 대신 표시할 수 있습니다.
| 필드 | 유형 |
|---|---|
text | string |
targetLocale | string |
suggestions | string[] |
예시#
json
{
"detail": "Cannot save \"<text>\". Target locale \"<targetLocale>\" is written in more than one script, so it does not name a single language. Use \"<suggestion>\".",
"text": "<text>",
"targetLocale": "<targetLocale>",
"suggestions": [
"<suggestion>"
],
"type": "https://lingo.dev/docs/api/errors/glossary-term-target-ambiguous",
"status": 422,
"title": "Glossary term target locale ambiguous"
}이 오류를 반환하는 엔드포인트#
PATCH /v2/glossaries/{glossaryId}/terms/{id}POST /v2/engines/{engineId}/glossary-terms/extract-from-vttPOST /v2/glossaries/{glossaryId}/termsPOST /v2/glossaries/{glossaryId}/terms/create-many